> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/kyberswap-elastic/concepts.md).

# Concepts

Dynamic Market Making v2

KyberSwap Elastic's key contributions towards the AMM space are its aggregation of different amplified liquidity (DMM) positions into a single pool as well as the introduction of a reinvestment curve which auto-compounds previously idle concentrated liquidity fees.

Collectively, these concepts forms the Dynamic Automated Market Making v2 (DMMv2) protocol invented by the KyberSwap research team. You can refer to the Dynamic Market Making v2 whitepaper for an overview of the protocol or the [DMMv2 Technical Documentation](https://docs.google.com/document/d/1F50RWQRRyaNxnW5RvKgw09fN2FofIVLVccijgcOt-Iw/edit#heading=h.i0grrivqtzgw) for an even deeper dive.

The following sections outline these concepts at a high level:

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th data-hidden></th><th data-hidden></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/reference/legacy/kyberswap-elastic/concepts/concentrated-liquidity.md"><strong>Concentrated Liquidity</strong></a></td><td></td><td></td><td><a href="/reference/legacy/kyberswap-elastic/concepts/concentrated-liquidity.md">Concentrated Liquidity</a></td></tr><tr><td><a href="/reference/legacy/kyberswap-elastic/concepts/reinvestment-curve.md"><strong>Reinvestment Curve</strong></a></td><td></td><td></td><td><a href="/reference/legacy/kyberswap-elastic/concepts/reinvestment-curve.md">Reinvestment Curve</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kyberswap.com/reference/legacy/kyberswap-elastic/concepts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
